dongmeba4877
dongmeba4877
2014-05-27 11:01
浏览 48
已采纳

安装PHP PEAR ubuntu 12.04时出错

I have installed PHP PEAR in ubuntu using

sudo apt-get install php-pear

After successfull installation first time.When I try to run it in terminal, it shows error:

The program 'pear' is currently not installed.  You can install it by typing:
sudo apt-get install php-pear

I again tried to install it. Then it shows that

php-pear is already the newest version.

I have checked many questions on SO. In every question it is mentioned to locate pear etc. But above mentioned error is not solved.

I even tried installing pear many times with sudo and running it. It gives same error.

Please help to sort it out.

图片转代码服务由CSDN问答提供 功能建议

我使用

  sudo apt在ubuntu中安装了PHP PEAR  -get install php-pear 
   
 
 

第一次成功安装后。当我尝试在终端中运行它时,显示错误:< / p>

 当前未安装程序'pear'。 你可以输入:
sudo apt-get install php-pear 
   
 
 

我再次安装它。 然后它显示

  php-pear已经是最新版本了。
   
 
 

我检查过很多问题 所以。 在每一个问题中都提到了定位梨等。但是上面提到的错误并没有解决。

我甚至尝试用sudo多次安装pear并运行它。 它给出了同样的错误。

请帮忙整理出来。

  • 点赞
  • 写回答
  • 关注问题
  • 收藏
  • 邀请回答

2条回答 默认 最新

  • dsdsm2016
    dsdsm2016 2014-05-31 10:36
    已采纳

    Package php-pear in Ubuntu 12.04 only works with PHP <= 5.2

    For PHP >= 5.3 use

    wget http://pear.php.net/go-pear.phar
    php go-pear.phar
    
    点赞 评论
  • doubo7131
    doubo7131 2014-05-31 10:42

    Just remove PEAR and PHP, then start from the beginning. I hope this solves your problem.

    点赞 评论

相关推荐